package data

// Subset of urdt/ussd/common specifically for syncing to the central data store i.e Graph.
// TODO: Replace with imported data types from the common package once lib-gdbm dependency is removed.
const (
	keyPrefix = 32

	ACCOUNT_BLOCKCHAIN_ADDRESS = 1
	ACCOUNT_FIRST_NAME         = 3
	ACCOUNT_LAST_NAME          = 4
	ACCOUNT_YOB                = 5
	ACCOUNT_LOCATION           = 6
	ACCOUNT_GENDER             = 7
	ACCOUNT_COMMODITIES        = 8
	ACCOUNT_ACTIVE_VOUCHER     = 17
)

var ValidDataTypeLookup = map[uint16]struct{}{
	ACCOUNT_BLOCKCHAIN_ADDRESS: {},
	ACCOUNT_FIRST_NAME:         {},
	ACCOUNT_LAST_NAME:          {},
	ACCOUNT_YOB:                {},
	ACCOUNT_LOCATION:           {},
	ACCOUNT_GENDER:             {},
	ACCOUNT_COMMODITIES:        {},
	ACCOUNT_ACTIVE_VOUCHER:     {},
}
